package org.poopki.duckdns.user_db;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;
import java.util.UUID;

public class UserInfoArray {
    private static Map<UUID, UserInfo> m_UserInfoArray = new HashMap<UUID, UserInfo>();

    public String getUserName(UUID uuid){ // 유저 이름 return
        return m_UserInfoArray.get(uuid).getUserName();
    }
    public boolean checkNewUser(UUID uuid){ // 유저 목록 check
        return m_UserInfoArray.containsKey(uuid);
    }
    public Set<UUID> getKeySet(){ // 유저 목록 return
            return m_UserInfoArray.keySet();
    }
    public void putUserInfo(UUID uuid,String Name, int Nation, int Squad, int Farm) { // UserInfoArray entry 입력
        m_UserInfoArray.put(uuid, new UserInfo(uuid,Name, Nation, Squad, Farm));
    }
}